using System;

internal sealed class Delegate404 : MulticastDelegate
{
	public extern DateTime Invoke(object object_0);

	public static DateTime smethod_0(object object_0, Delegate404 delegate404_1)
	{
		return delegate404_1(object_0);
	}

	public extern Delegate404(object object_0, IntPtr intptr_0);

	static Delegate404()
	{
		Class10.smethod_13(typeof(Delegate404).TypeHandle);
	}

	internal static Delegate404 delegate404_0;
}
